PHP升级记

WP更新以后就提示建议升级php,目前正在使用不安全的版本7.3.12。还很友好的带了一个升级指南,但是点过去会发现并没有什么卵用。现有的服务器是基于lnmp来提供的服务,于是尝试直接更新php7.4,通过apt install php7.4的方式,安装成功了,修改nginx的cig设置,php也能运行了,但是很不幸的是tmd数据库连不上了,尝试升级数据库,最后以各种失败告终。

今天又想到了是不是lnmp一键安装脚本可以升级,于是尝试安装lnmp1.9,提示已经安装了,转到父目录看了一下,已经有个lnmp1.7的目录了。目录下面发现了一个upgrade.sh,于是猜测,这个东西应该支持升级各种服务。找了下文档发现果然还是支持的。https://lnmp.org/faq/lnmp1-2-upgrade.html,于是就可以通过下面的命令升级php了:

./upgrade.sh php

经过漫长的编译安装之后成功了,使用php探针又发现问题了,phpinfo是空的:

经过进一步搜索发现了一个php 7版本的雅黑探针,现在显示就ok了:

探针下载:

☆文章版权声明☆

* 网站名称:obaby@mars
* 网址:http://h4ck.org.cn/
* 本文标题: 《PHP升级记》
* 本文链接:http://h4ck.org.cn/2022/08/php%e5%8d%87%e7%ba%a7%e8%ae%b0/
* 转载文章请标明文章来源,原文标题以及原文链接。请遵从 《署名-非商业性使用-相同方式共享 2.5 中国大陆 (CC BY-NC-SA 2.5 CN) 》许可协议。


分享文章:

猜你喜欢:

2条评论

    1. Google Chrome 102 Google Chrome 102 Windows 10 Windows 10 China山东省青岛市 联通 ip address 39.65.*.*

      支持https的,不过是没有做http到https的重定向~~
      ssl

发表回复

您的电子邮箱地址不会被公开。